> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Create a dropdown

POST https://{tenant_name}.benchling.com/api/v2/dropdowns
Content-Type: application/json

Create a dropdown

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/dropdowns/create-dropdown

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a DropdownCreate.

- `name` (string, required) — Name of the dropdown
- `options` (list of DropdownOptionCreate, required) — Options to set for the dropdown
- `registryId` (string, optional, nullable) — ID of registry in which to create the dropdown. Required if multiple registries exist.

## Response

### 200

Created

- `id` (string, optional) — ID of the dropdown
- `name` (string, optional) — Name of the dropdown
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `options` (list of DropdownOption, optional) — Array of dropdown options

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### DropdownOptionCreate

- `name` (string, required)

### ArchiveRecord

- `reason` (string, optional)

### DropdownOption

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `name` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Request**

```json
{
  "name": "string",
  "options": [
    {
      "name": "string"
    }
  ]
}
```

**Response**

```json
{
  "id": "string",
  "name": "string",
  "archiveRecord": {
    "reason": "Made in error"
  },
  "options": [
    {
      "archiveRecord": {
        "reason": "Made in error"
      },
      "id": "string",
      "name": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/dropdowns"

payload = {
    "name": "string",
    "options": [{ "name": "string" }]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/dropdowns';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"string","options":[{"name":"string"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```